# PendulumGame.PendulumGameState Class Reference

The global state of the pendulum game manipulated by the players. More...

List of all members.

## Public Member Functions
| PendulumGameState ()
| Creates and initializes a pendulum game state.
## Public Attributes
const int | NumPlayers = 2
| Number of players in the game.
## Properties
Vector2 | Scale`[get, set]`
| Gets the scaling matrix for design-to-screen resizing.
CelestialObject | CurrentCelestialObject`[get, set]`
| Gets or sets the celestial object we are modelling.
EarthGravityModel | CurrentEarthGravityModel`[get, set]`
| Gets or sets the earths gravity model we are using.
MarsGravityModel | CurrentMarsGravityModel`[get, set]`
| Gets or sets the mars gravity model we are using.
int | CurrentTextureVariation`[get, set]`
| Gets or sets the texture variation to use .
RotationalFrictionType | CurrentRotationalFrictionType`[get, set]`
| Gets or sets the current rotational friction type.
EntropySourceType | CurrentEntropySourceType`[get, set]`
| Gets or sets the entropy source type to use for random numbers.
double | CurrentGravity`[get, set]`
| Gets or sets the current gravity value.
PhysicalRandomNumberGenerator | PhysicalRandomNumberGenerator`[get, set]`
| Gets or sets the physical random number generator.
int | SubmittedEntropyBits`[get, set]`
| Gets or Sets the count of entropy bits that were submitted.
bool | UseOnlyOneGamepad`[get, set]`
| Gets or sets a flag indicating whether only one gamepad is connected.
bool | RealtimeAudioOnDemand`[get, set]`
| Gets or sets a flag indicating whether real-time audio should be on deman (i.e. by button press only).
bool | DisablePixelShaderEffects`[get, set]`
| Gets or sets a flag indicating whether the pixel shader effects should be used on the gameplay screen.
GamePlayer[] | Players`[get]`
| Gets the players.

## Detailed Description

The global state of the pendulum game manipulated by the players.

Definition at line 18 of file PendulumGameState.cs.

## Constructor & Destructor Documentation

PendulumGame.PendulumGameState.PendulumGameState | ( |  | ) |

Creates and initializes a pendulum game state.

Definition at line 103 of file PendulumGameState.cs.

    00104         {
    00105             this.physicalRandomNumberGenerator =
    00106                 new PhysicalRandomNumberGenerator(
    00107                     EntropySourceType.PlayTrulyRandom,
    00108                     PendulumGame.PlayTrulyRandomAgentName);
    00109         }

## Member Data Documentation

const int PendulumGame.PendulumGameState.NumPlayers = 2

Number of players in the game.

Definition at line 23 of file PendulumGameState.cs.

## Property Documentation

CelestialObject PendulumGame.PendulumGameState.CurrentCelestialObject`[get, set]`

Gets or sets the celestial object we are modelling.

Definition at line 124 of file PendulumGameState.cs.

EarthGravityModel PendulumGame.PendulumGameState.CurrentEarthGravityModel`[get, set]`

Gets or sets the earths gravity model we are using.

Definition at line 133 of file PendulumGameState.cs.

EntropySourceType PendulumGame.PendulumGameState.CurrentEntropySourceType`[get, set]`

Gets or sets the entropy source type to use for random numbers.

Definition at line 169 of file PendulumGameState.cs.

double PendulumGame.PendulumGameState.CurrentGravity`[get, set]`

Gets or sets the current gravity value.

Definition at line 178 of file PendulumGameState.cs.

MarsGravityModel PendulumGame.PendulumGameState.CurrentMarsGravityModel`[get, set]`

Gets or sets the mars gravity model we are using.

Definition at line 142 of file PendulumGameState.cs.

RotationalFrictionType PendulumGame.PendulumGameState.CurrentRotationalFrictionType`[get, set]`

Gets or sets the current rotational friction type.

Definition at line 160 of file PendulumGameState.cs.

int PendulumGame.PendulumGameState.CurrentTextureVariation`[get, set]`

Gets or sets the texture variation to use .

Definition at line 151 of file PendulumGameState.cs.

bool PendulumGame.PendulumGameState.DisablePixelShaderEffects`[get, set]`

Gets or sets a flag indicating whether the pixel shader effects should be used on the gameplay screen.

Definition at line 225 of file PendulumGameState.cs.

PhysicalRandomNumberGenerator PendulumGame.PendulumGameState.PhysicalRandomNumberGenerator`[get, set]`

Gets or sets the physical random number generator.

Definition at line 187 of file PendulumGameState.cs.

GamePlayer [] PendulumGame.PendulumGameState.Players`[get]`

Gets the players.

Definition at line 234 of file PendulumGameState.cs.

bool PendulumGame.PendulumGameState.RealtimeAudioOnDemand`[get, set]`

Gets or sets a flag indicating whether real-time audio should be on deman (i.e. by button press only).

Definition at line 215 of file PendulumGameState.cs.

Vector2 PendulumGame.PendulumGameState.Scale`[get, set]`

Gets the scaling matrix for design-to-screen resizing.

Definition at line 115 of file PendulumGameState.cs.

int PendulumGame.PendulumGameState.SubmittedEntropyBits`[get, set]`

Gets or Sets the count of entropy bits that were submitted.

Definition at line 196 of file PendulumGameState.cs.

bool PendulumGame.PendulumGameState.UseOnlyOneGamepad`[get, set]`

Gets or sets a flag indicating whether only one gamepad is connected.

Definition at line 205 of file PendulumGameState.cs.

The documentation for this class was generated from the following file:

- C:/Users/Andreas Schiffler/Desktop/SVN/NewGamePhysics/PendulumGame/PendulumGameState.cs